echo off
set dszlog=dsz%6.log

if %1 == Zmodem goto Zmodem
if %1 == Wxmodem goto Wxmodem
if %1 == Ymodem goto Ymodem
if %1 == Ymodem-Batch goto Ymodem-Batch
if %1 == Xmodem goto Xmodem
if %1 == Sealink goto Sealink
if %1 == Megalink goto Megalink
if %1 == Kermit goto Kermit
if %1 == K9Xmodem goto k9Xmodem
if %1 == Jmodem goto Jmodem
if %1 == Super8K goto Super8K
if %1 == Lynx goto Lynx
if %1 == Puma goto Puma
if %1 == MobyTurbo goto MobyTurbo
if %1 == Pkzip goto Pkzip
if %1 == Viewfile goto Viewfile
goto end

rem      to add other protocols just follow these examples

rem %1 = protocol name, make sure it is exact match as what is in the
rem      protocol.def file so the %1 == matches up (it is case sensitive also)
rem %2 = port number (1, 2, 3, 4)
rem %3 = baud rate (true connect rate baud, not locked baud)
rem %4 = filename being passed to transfer.  This will also contain the
rem      path to the file.  For batch @drive:\path\batch#.dsz is passed
rem      ex: @c:\cdcom\batch#.dsz, where # is node number if there is one.
rem %5 = port rate.  This will be the locked rate if port is locked

:Zmodem
dsz port %2 sz %4
goto end

:MobyTurbo
dsz port %2 sz -m %4
goto end

:Xmodem
dsz port %2 sx %4
goto end

:Ymodem
dsz port %2 sx -k %4
goto end

:Ymodem-Batch
dsz port %2 sb -k %4
goto end

:Ymodem-G
rem Note that you must register DSZ for Ymodem-G to work
dsz port %2 sb -g %4
goto end

:Kermit
kermit send %4
goto end

:Megalink
mlink16 port %2 sm %4
goto end

:K9Xmodem
superk p%2 s%3 tk ds f%4
goto end

:Jmodem
jmodem s%2 %4
goto end

:Sealink
clink /p%2 t %4
goto end

:Super8K
superk p%2 s%3 ts ds f%4
goto end

:Wxmodem
superk p%2 s%3 tw ds f%4
goto end

:Lynx
lynx s %4
goto end

:Puma
puma s %4
goto end

:Pkzip
rem this was used for previous versions of cdcom you can delete it
rem if you want.  I left it in because the batch file is universal
rem for all the doors.
pkzip -rp %2 %3 >%4
if %5 == 0 goto end
pkzip -z %2 <how2un.zip
goto end

:Viewfile
rem this is configured to use AViewCom
rem %2 is the full filename with path to temp dir (line 2 cdcom.def)
rem %3 is comport (COM1, COM2, etc or LOCAL)
rem %4 is time left online, as calculated from program
rem %5 is ansi on=1, off=0 or choose=2 (program passes 0 or 1 however)
rem %6 is the path to temp dir, given by line 2 cdcom.def
rem use -w option ONLY if running wildcat, as the program uses quite
rem a few lines in callinfo.bbs and most conversion programs probably
rem don't write them all to it.  %3 - %6 should handle any needed info.
rem If you are running it with -w you must copy callinfo.bbs to the
rem current directory.  Aviewcom will delete it when it is done.
rem copy c:\wildcat\node?\callinfo.bbs
rem aviewcom %2 -w
aviewcom %2 %3 -t%4 -a%5 -p%6
goto end

:end
